2020-02-12 22:06:23

ah ok smile


I thought you were talking about me posting the link, oops.

If you like harry potter fan fiction, click on this link to download a zipped folder containing 9 point something gigs of harry potter fan fiction when unzipped. It's around 3.9 gigs zipped. https://tinyurl.com/vuefsu2

Thumbs up

2020-02-12 22:12:37

Hi,
Does anybody know if the unspoken 3d sounds addon is being updated. I really enjoyed that addon and I can't remember who the author of it was.

Stevie-3

Thumbs up

2020-02-12 23:55:11

The author of the Unspoken 3d sounds addon was Bryan Smart and Austin Hix. IT was then forked by someone else (Mushirav I believe) to be an audio themes addon with the same underlying engine. It has since not been updated for NVDA 2019.3. I believe though that the speech refactoring and the new speech subsystem will enable the future implementation of earcons directly into NVDA, that can be handled and timed a lot more accurately than the addon.

I'm the only adventure at c: master hahahaha I have unlocked just about everything!

Thumbs up

2020-02-12 23:57:16 (edited by jack 2020-02-13 08:04:14)

Also, I can confirm that the Eloquence within a registered copy of Kurzweil1000, one which contains no drm, was sapi-compliant and not tied specifically to the application, is usable in the IBM driver. To remain fully legal, you are going to need to buy your own copy of Kurzweil1000. Either that, or contact Code Factory and ask them to remove the non-transparent persistent license checks that may impact people with shaky internet.

I'm the only adventure at c: master hahahaha I have unlocked just about everything!

Thumbs up

2020-02-13 06:19:27

The new eloquence driver is crashing whenever I'm in Discord and I have to restart NVDA. Wonder if there will be a fix to this soon

#FreightWeight

2020-02-13 15:58:48

That's why people are saying to use the IBM add-on with your existing ETI.dll for NVDA 2019.3 instead of the updated Eloquence driver itself. I did this before I downgraded to 2019.2 due to no Notepad++ support and it worked fine. No crashes. The IBM add-on is easy to setup and get working. if you want the latest add-on IBM package, don't download the release on Git tagged Latest Release. That version doesn't have a .nvda-addin asset. Go a couple releases back I believe though I don't remember now which one I grabbed.

Thumbs up

2020-02-13 16:25:30

When in doubt. Build from source smile

In meinem Fernseher ist ein Hund. Er heißt Fritz.

2020-02-13 16:29:10

For some reason, my latest release had it.
download it here
Kurzweil1000 uses an Eloquence 6.1 library, to my knowledge, the only one in a still commercially maintained package that isn't tied specifically to the application. The same was true when they bundled Dectalk, the dapi was still open so you could have easily used Dectalk with screen readers that had an Access32 drivers, and there was also documentation on making Dectalk sing. Plus PCS dos Game demos of course that used to come on the disk way back when.

I'm the only adventure at c: master hahahaha I have unlocked just about everything!

Thumbs up

2020-02-13 17:36:07

@Munawar what was the issue with notepad++?

Thumbs up

2020-02-13 18:06:01

What would I need to build the latest version from source? Visual studio? Python? I could probably build it if I have all the prerequisites, I've done more complicated shit before lol

#FreightWeight

2020-02-13 18:27:34

Python3, SCons, Markdown, Visual Studio compiler

I'm the only adventure at c: master hahahaha I have unlocked just about everything!

Thumbs up

2020-02-13 22:36:46

.. Yeah. I'll just get the other release lolol

#FreightWeight

2020-02-14 09:34:21

Guys, for the IBM thing, do I only need the dll file, or some other files as well?

Thumbs up

2020-02-14 10:12:04 (edited by marro 2020-02-14 10:18:46)

for those still not knowing how to setup the driver.

  1. find a file called eci.dll. this can be found if you have used eloquence before upgrading. it's in the ad-on folder under %appdata% roaming nvda ad-ons inside the synth drivers folder. There also should be .synth files. copy these out as well.

  2. Once you have this file copied somewhere, go upgrade your ersion of nvda to the latest version (2019.3).

  3. Now go install the driver and enter the settings dialogue. find ibm TTS in the categories list and hit the browse button. Here, select the eci.dll file you previously copied.

  4. Now, you should copy all the voice files from the previous eloquence ad-on into the %appdata nvda ibmTTS synth drivers folder.

  5. Restart your nvda and eloquence should pop up under your change synthesizer in the speech section of the nvda settings.

I hope this helped. if you can't find the eci.dll, go install other programs that contain eloquence. Curzweil appears to be one of them as others have said.

kind regards and have a nice day,
marro

Thumbs up

2020-02-14 12:51:47

You can also find ECI.dll in Colton's TTS app, and I believe also in jaws somewhere. So you could say, download the jaws demo and just get the DLL that way. No need to purchase anything.

War is peace
freedom is slavery
ignorance is strength.

Thumbs up

2020-02-14 13:27:43

For those who are wondering what languages this IBM TTS driver supports, it supports (American English, British English, Castilian Spanish, Latin American Spanish, French, French Canadian, German, Italian, Brazilian Portuguese, and Finish). It also supports Chinese, Japanese, and Korean (you'll need CHS.SYN, CHSROM.DLL, JPN.SYN, JPNROM.dll, KOR.SYN, and KORROM.dll). To my knowledge the only way of getting those files is Code Factory's Eloquence SAPI 5, that is, if you get it from Computer Room Services, since Code Factory's own installer removed those files.
I will warn you now that those languages will not read out the special characters associated with them. As far as I know I haven't found a way to make them do that, even though ironically the SAPI5 version does that.

Thumbs up

2020-02-14 14:43:48

I've tryed to copy all of the eloquece files but it seems that I cannot load the synth.

I'm just a machine that shoots swampy bullets like crazy! Well not that crazy, but still...

Thumbs up

2020-02-14 15:55:29

@116
You say the sapi 5 version of Eloquence can read Chinese, Japanese and Korean characters?
I'd be curious what version I would need to get to get that working? Is it still runnable on windows 10 and where can it be downloaded/purchased?

Thanks

Thumbs up

2020-02-14 16:30:44

Hi.
@Zersiax like I stated previously, the only legal SAPI5 version of Eloquence that's out there is Code Factory's own Eloquence package. However if you download the 7-day trial direct from Code Factory's website, you won't get Chinese, Japanese, and Korean language options, instead you'll get the usual 10 language options. However, if you download the 7-day trial from Computer Room Services in the UK, who is a third-party reseller of the product, you will get Chinese, Japanese, and Korean language options.

Thumbs up

2020-02-14 16:34:28

119, small correction. The python 3 compatible eloquence addon has all required DLL's to load the synth. Unless you're specifically talking about making it speak those characters, in which case that's something else.

War is peace
freedom is slavery
ignorance is strength.

Thumbs up

2020-02-14 16:48:49

Hi.
@haily_merry the version I downloaded from the official GitHub repository did not have any of those DLL files, nor any voice files for that matter. Did you download it from there?

Thumbs up

2020-02-14 16:55:09 (edited by haily_merry 2020-02-14 22:01:31)

Guess I should clarify. I'm talking about the python 3 compatible eloquence addon over at Jeff's nvda addon repository. If you then download that addon and extract it, boom, then go to synth drivers/eloquence I believe, there's your files. Used those to configure the IBM TTS driver. The only thing that stopped me from just using the python 3 compatible eloquence addon directly was the crashing issues it has.

War is peace
freedom is slavery
ignorance is strength.

Thumbs up

2020-02-14 19:13:41

Oh snap, that's an illegal link. It contains audio described TV shows, audio described movies, and illegal addons of course.

Sincerely,
Lucas.

Thumbs up

2020-02-14 21:44:06

All these years of the blind community using Eloquence and people are now suddenly asking what it's made of. Lol! Probably the most easy to bundle tts if it were easier to license in other applications, i.e. if Wizard Software were still around. Then again, Voxin got a license to distribute so they have to be in a distribution agreement with some entity other than Nuance for it to be so cheap.
Re, copying Eloquence: You don't necessarily need to copy Eloquence to use the driver. Locate your Eloquence library. For Kurzweil1000 users, it's "C:\Program Files (x86)\Common Files\SpeechWorks\ETI-Eloquence 6.1\eci.dll"
That's all there is to it.

I'm the only adventure at c: master hahahaha I have unlocked just about everything!

Thumbs up

2020-02-14 21:50:24

What's happening with Remote? Has it been updated?

Halte sie fern! Ich muss meine zip-Dateien behalten

Thumbs up